#include "hal_interface_watchdog.h"
#include "hlog.h"

#define TAG "TAG_WATCHDOG"

#define WATCHDOG_INTERVAL ((uint32_t)(5000))

uint32_t hal_watchdog_init(){
	hlogd("%s", __func__);
    hal_watchdog_start();
	return 0;
}

uint32_t hal_watchdog_deinit(){
    hal_watchdog_stop();
	return 0;
}

void *hal_watchdog_kick(void *param){
	hlogd("%s %s", __func__, (char*)get_filename(__FILE__));
	return 0;
}

uint32_t hal_watchdog_get_interval(){
	return WATCHDOG_INTERVAL;
}

DECLARE_INIT(PRI_AFTER_DRIVER, hal_watchdog_init);

